This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821810 - SELinux is preventing /usr/bin/ruby from 'getattr' accesses on the file /lib/systemd/systemd-binfmt.
SELinux is preventing /usr/bin/ruby from 'getattr' accesses on the file /lib/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deltacloud-core (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
abrt_hash:9f22965efa53b590cbacb5d9df2...
:
: 821477 821479 821557 821811 821812 821814 821815 821816 821817 821818 821819 821821 821822 821823 821825 821826 821827 821828 821829 821830 821831 821832 821833 821834 821835 821837 821839 821840 821842 821843 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 10:37 EDT by al morris
Modified: 2013-02-13 13:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description al morris 2012-05-15 10:37:27 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.x86_64
reason:         SELinux is preventing /usr/bin/ruby from 'getattr' accesses on the file /lib/systemd/systemd-binfmt.
time:           Tue 15 May 2012 09:37:12 AM CDT

description:
:SELinux is preventing /usr/bin/ruby from 'getattr' accesses on the file /lib/systemd/systemd-binfmt.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that ruby should be allowed getattr access on the systemd-binfmt file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep deltacloudd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:deltacloudd_t:s0
:Target Context                system_u:object_r:init_exec_t:s0
:Target Objects                /lib/systemd/systemd-binfmt [ file ]
:Source                        deltacloudd
:Source Path                   /usr/bin/ruby
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           ruby-1.8.7.358-1.fc16.x86_64
:Target RPM Packages           systemd-37-19.fc16.x86_64
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.x86_64 #1 SMP Tue May 8
:                              11:24:50 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Tue 15 May 2012 04:33:25 PM CDT
:Last Seen                     Tue 15 May 2012 04:33:26 PM CDT
:Local ID                      5f483804-d21e-4d27-97e3-487c5a7122b4
:
:Raw Audit Messages
:type=AVC msg=audit(1337117606.156:82): avc:  denied  { getattr } for  pid=1159 comm="deltacloudd" path="/lib/systemd/systemd-binfmt" dev="sda3" ino=394010 scontext=system_u:system_r:deltacloudd_t:s0 tcontext=system_u:object_r:init_exec_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1337117606.156:82): arch=x86_64 syscall=lstat success=yes exit=0 a0=1d80de0 a1=7fff77f4e520 a2=7fff77f4e520 a3=1 items=0 ppid=1108 pid=1159 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=deltacloudd exe=/usr/bin/ruby subj=system_u:system_r:deltacloudd_t:s0 key=(null)
:
:Hash: deltacloudd,deltacloudd_t,init_exec_t,file,getattr
:
:audit2allow
:
:#============= deltacloudd_t ==============
:allow deltacloudd_t init_exec_t:file getattr;
:
:audit2allow -R
:
:#============= deltacloudd_t ==============
:allow deltacloudd_t init_exec_t:file getattr;
:
Comment 1 Miroslav Grepl 2012-05-15 15:53:39 EDT
*** Bug 821811 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2012-05-15 15:53:55 EDT
*** Bug 821812 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2012-05-15 15:54:13 EDT
*** Bug 821814 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2012-05-15 15:54:45 EDT
*** Bug 821815 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2012-05-15 15:55:15 EDT
*** Bug 821816 has been marked as a duplicate of this bug. ***
Comment 6 Miroslav Grepl 2012-05-15 15:56:27 EDT
*** Bug 821817 has been marked as a duplicate of this bug. ***
Comment 7 Miroslav Grepl 2012-05-15 15:56:43 EDT
*** Bug 821818 has been marked as a duplicate of this bug. ***
Comment 8 Miroslav Grepl 2012-05-15 15:56:59 EDT
*** Bug 821819 has been marked as a duplicate of this bug. ***
Comment 9 Miroslav Grepl 2012-05-15 15:57:17 EDT
*** Bug 821821 has been marked as a duplicate of this bug. ***
Comment 10 Miroslav Grepl 2012-05-15 15:57:45 EDT
*** Bug 821822 has been marked as a duplicate of this bug. ***
Comment 11 Miroslav Grepl 2012-05-15 15:58:01 EDT
*** Bug 821823 has been marked as a duplicate of this bug. ***
Comment 12 Miroslav Grepl 2012-05-15 15:58:20 EDT
*** Bug 821825 has been marked as a duplicate of this bug. ***
Comment 13 Miroslav Grepl 2012-05-15 15:58:39 EDT
*** Bug 821826 has been marked as a duplicate of this bug. ***
Comment 14 Miroslav Grepl 2012-05-15 15:59:16 EDT
*** Bug 821827 has been marked as a duplicate of this bug. ***
Comment 15 Miroslav Grepl 2012-05-15 15:59:32 EDT
*** Bug 821828 has been marked as a duplicate of this bug. ***
Comment 16 Miroslav Grepl 2012-05-15 15:59:47 EDT
*** Bug 821829 has been marked as a duplicate of this bug. ***
Comment 17 Miroslav Grepl 2012-05-15 16:00:06 EDT
*** Bug 821830 has been marked as a duplicate of this bug. ***
Comment 18 Miroslav Grepl 2012-05-15 16:00:22 EDT
*** Bug 821831 has been marked as a duplicate of this bug. ***
Comment 19 Miroslav Grepl 2012-05-15 16:00:41 EDT
*** Bug 821832 has been marked as a duplicate of this bug. ***
Comment 20 Miroslav Grepl 2012-05-15 16:00:57 EDT
*** Bug 821833 has been marked as a duplicate of this bug. ***
Comment 21 Miroslav Grepl 2012-05-15 16:01:25 EDT
*** Bug 821834 has been marked as a duplicate of this bug. ***
Comment 22 Miroslav Grepl 2012-05-15 16:01:52 EDT
*** Bug 821835 has been marked as a duplicate of this bug. ***
Comment 23 Miroslav Grepl 2012-05-15 16:02:10 EDT
*** Bug 821837 has been marked as a duplicate of this bug. ***
Comment 24 Miroslav Grepl 2012-05-15 16:02:28 EDT
*** Bug 821839 has been marked as a duplicate of this bug. ***
Comment 25 Miroslav Grepl 2012-05-15 16:02:43 EDT
*** Bug 821840 has been marked as a duplicate of this bug. ***
Comment 26 Miroslav Grepl 2012-05-15 16:03:01 EDT
*** Bug 821842 has been marked as a duplicate of this bug. ***
Comment 27 Daniel Walsh 2012-05-15 23:49:24 EDT
Is deltacloud doing a getattr on every file on the system?  If so why?
Comment 28 Daniel Walsh 2012-05-16 00:18:22 EDT
*** Bug 821843 has been marked as a duplicate of this bug. ***
Comment 29 Daniel Walsh 2012-05-16 00:18:30 EDT
*** Bug 821477 has been marked as a duplicate of this bug. ***
Comment 30 Daniel Walsh 2012-05-16 00:19:06 EDT
*** Bug 821479 has been marked as a duplicate of this bug. ***
Comment 31 Daniel Walsh 2012-05-16 00:19:27 EDT
*** Bug 821557 has been marked as a duplicate of this bug. ***
Comment 32 Fedora End Of Life 2013-01-16 10:41:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Fedora End Of Life 2013-02-13 13:48:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.